com.h3c.of.lib.msg

## Class TableFeaturePropExper

- java.lang.Object
- - com.h3c.of.lib.msg.TableFeatureProp
  - - com.h3c.of.lib.msg.TableFeaturePropExper

-     public class TableFeaturePropExper
      extends TableFeatureProp

  Represents an experimenter table feature property.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getData()` Returns a copy of the experimenter-defined data.
    `ExperimenterId` | `getExpId()` Returns the experimenter ID (if we know it); null otherwise; Since 1.3.
    `long` | `getExpType()` Returns the experimenter-defined type (u32); Since 1.3.
    `int` | `getId()` Returns the experimenter ID encoded as an int; Since 1.3.
    `int` | `getTotalLength()` Returns the length in bytes of the property when encoded.
    `String` | `toString()`

    - ### Methods inherited from class com.h3c.of.lib.msg.TableFeatureProp

      `getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `TableFeatureProp`

    - #### getTotalLength

          public int getTotalLength()

      Description copied from class: `TableFeatureProp`
      Returns the length in bytes of the property when encoded.

      This is really of interest only to the message encoder.

      Specified by:
        `getTotalLength` in class `TableFeatureProp`
      Returns:
        the length in bytes

    - #### getId

          public int getId()

      Returns the experimenter ID encoded as an int; Since 1.3.
      Returns:
        the experimenter ID (encoded)

    - #### getExpId

          public ExperimenterId getExpId()

      Returns the experimenter ID (if we know it); null otherwise; Since 1.3.
      Returns:
        the experimenter ID

    - #### getExpType

          public long getExpType()

      Returns the experimenter-defined type (u32); Since 1.3.
      Returns:
        the experimenter-defined type

    - #### getData

          public byte[] getData()

      Returns a copy of the experimenter-defined data.
      Returns:
        the data

Copyright © 2014. All Rights Reserved.